QGIS Application - Bug report #13340

In MSSQL vector layer, adding new attribute column in attributes table, new column disappear after
save.

2015-09-10 08:38 AM - Maurizio Petrini

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.10.0 Regression?: No
Operating System: qgis Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21393
Description

The message after save is: "Impossibile applicare le modifiche al vettore" (impossible to apply the mods to vector ....)

In the MSSQL server database table new field is correctrly present, and when qgis project is closed and re-open the field is correctly
present in the attribute table.

Editing one field in the attribute table in MSSQL vector layer, the modify will not be saved in mssql DB table.

Associated revisions

Revision d8270766 - 2016-01-29 10:33 PM - Nyall Dawson

Fix adding fields to mssq|l layers always resulted in error (fix #13340)

Revision d607a56b - 2016-02-23 02:34 AM - Nyall Dawson

Fix adding fields to mssql layers always resulted in error (fix #13340)

(cherry-picked from d827076637ac14fea68472a0d943745345d20d0c)

History

#1 - 2016-01-29 01:33 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"d827076637ac14fea68472a0d943745345d20d0c".
